/* ----------------------------------------------------------------------------
 *
 * Raima Database Manager
 *
 * Copyright (c) 2012 Raima Inc.,  All rights reserved.
 *
 * Use of this software, whether in source code format, or in executable,
 * binary object code form, is governed by the Raima LICENSE which
 * is fully described in the LICENSE.TXT file, included within this
 * distribution of files.
 *
 * ----------------------------------------------------------------------------
 */

/* EXAMPLE - Core05 C */
/* This is the DDL (Database Definition Language) for a database implementing
 * two one-to-many relationship using network model sets.  The database will 
 * demonstrate the use of a b-tree index.  There is one record defined and
 * that record contains a single indexed character field.  The index is not
 * defined an unique therefore it will allow duplicate values.
 * 
 * This schema file should be processed using the ddlp utility using the
 * -c and -d options to create an embedded dbd file.  The -c option will 
 * generate a c header file (core05_db_dbd.h) and a c source file 
 * (core05_db_dbd.c) which can be compiled into the application and used with 
 * the d_open_ptr API to create the database if it does not already exist.
 */

database core05_db 
{
    data file "core05_db.d01" contains person;
    key  file "core05_db.k01" contains last_four_ssn;

    record person 
    {
        key char last_four_ssn[5];
    }
}
